Où puis-je trouver Vim 7.3?

34

Vim 7.3 est sorti, mais pas disponible dans les sources. Où puis-je obtenir un package d'installation pour la version 7.3? Je ne veux pas l'installer manuellement.

    
posée 1passenger 14.10.2010 - 22:10
la source

8 réponses

29

Je n'ai pas trouvé de paquet officiel non plus, alors j'ai créé un PPA. N'hésitez pas à l'utiliser:

lien

apt-add-repository ppa:passy/vim
apt-get update
apt-get upgrade

Référence: Comment utiliser les PPA

    
réponse donnée passy 14.10.2010 - 22:16
la source
13

J'ai construit vim à partir de sources en utilisant cette séquence de commandes:

sudo apt-get build-dep vim-gnome
sudo apt-get install libssl-dev
mkdir -p ~/src
hg clone https://vim.googlecode.com/hg/ ~/src/vim
cd ~/src/vim
./configure --enable-multibyte --enable-pythoninterp --enable-cscope --enable-xim --with-features=big \
            --with-python-config-dir=/usr/lib/python2.7/config-$(dpkg-architecture -qDEB_HOST_MULTIARCH)
make

et je l'exécute sans installer en utilisant ce script d'encapsuleur ~/bin/vim :

#!/bin/sh
vimhome=$HOME/src/vim
if test -x $vimhome/src/vim; then
    VIMRUNTIME=$vimhome/runtime $vimhome/src/vim "[email protected]"
else
    /usr/bin/vim "[email protected]"
fi

Mais je ne l'ai fait que parce que je ne pouvais pas trouver un PPA à l'époque.

    
réponse donnée Marius Gedminas 15.10.2010 - 02:23
la source
7

Vimwiki a maintenant quelques instructions pour la création et l’installation de vim depuis la source, pour toute personne qui trouve ceci:

Voici le texte pertinent:

  

Construire une interface graphique Vim sur Ubuntu

     

Vous avez besoin du développement requis   paquets sur Ubuntu pour construire l'interface graphique:

sudo apt-get install libncurses5-dev libgnome2-dev libgnomeui-dev  libgtk2.0-dev libatk1.0-dev libbonoboui2-dev libcairo2-dev libx11-dev libxpm-dev libxt-dev
     

Commandes pour créer et installer l'interface graphique Vim:

cd vim7
cd src
make distclean
./configure --with-features=huge --enable-gui=gnome2
make
sudo make install
    
réponse donnée Nick Knowlson 22.02.2011 - 08:57
la source
3

Le PPA de Passy ne fonctionnait pas pour moi donc j'ai installé les paquetages vim de natty. La seule chose dont vous avez besoin en dehors des paquets vim de natty sont ruby1.8 et libruby1.8 debs.

Probablement pas le plus génial des solutions, mais ça a bien fonctionné pour moi.

    
réponse donnée miloshadzic 03.12.2010 - 17:58
la source
2

Le ppa fonctionnait pour moi, mais je devais changer mon fichier .vimrc:

" Stops vim from complaining about split lines using \
set nocp

" Fixes backspace not working to dedent a line
set backspace=indent,eol,start
    
réponse donnée ricobl 17.04.2011 - 22:13
la source
2

Après avoir effectué plusieurs recherches, je suis tombé sur un PPA avec vim 7.3 conçu pour les versions 10.04, 10.10, 11.04 et 11.10. . Il y a cependant pas mal de paquets, donc jetez un coup d'œil à la liste au cas où un autre paquet serait mis à jour et causerait des problèmes pour vous. Si vous voulez juste obtenir les paquets vim, vous pouvez les télécharger - voici les liens 10.04 et cette page donne la liste complète avec des zones extensibles sous chaque paquet montrant la liste complète des liens vers des packages individuels.

L’incantation magique est:

sudo apt-add-repository ppa:blueyed/ppa
sudo apt-get update
sudo apt-get upgrade

Référence: Comment utiliser les PPA

    
réponse donnée Hamish Downer 04.01.2012 - 00:48
la source
1

Vous pouvez le compiler à partir des sources dans lesquelles vous pouvez toujours obtenir les informations les plus récentes. Vous devrez suivre ces étapes: libncurses5-dev 1. sudo apt-get install build-essentials libncurses5-dev

  1. Obtenez les dernières informations sur lien

  2. Extrayez le fichier compressé dans un répertoire avec bunzip2.

  3. Entrez le répertoire et tapez:

    A. ./configure B. faire C. sudo make install D. sudo ln -s / usr / local / bin / vim / usr / bin / vim

Fait Vous avez maintenant la dernière version de Vim sur votre système.

    
réponse donnée user4016 15.10.2010 - 01:52
la source
1

Vim 7.3 se trouve dans les dépôts Ubuntu à partir d’Ubuntu 11.04.

    
réponse donnée Flimm 23.05.2013 - 21:38
la source

Lire d'autres questions sur les étiquettes